FOLD(1)

NAME
fold - wrap each input line to fit in specified width

SYNOPSIS
fold [-bs] [-w width] [--bytes] [--spaces] [--width=width] [--help] [--version] [file...]

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of fold. fold prints the specified files, or the standard input when no files are given or the filename `-' is encountered, on the standard output. It breaks long lines into multiple shorter lines by inserting a newline at column 80. It counts screen columns, so tab characters usually take more than one column, backspace characters decrease the column count, and carriage return characters set the column count back to zero.

  OPTIONS

-b, --bytes
    Count bytes rather than columns, so that tabs, backspaces, and carriage returns are each counted as taking up one column, just like other characters.

-s, --spaces
    Break at word boundaries. If the line contains any blanks, the line is broken after the last blank that falls within the maximum line length. If there are no blanks, the line is broken at the maximum line length, as usual.

-w, --width width
    Use a maximum line length of width columns instead of 80.

--help
    Print a usage message and exit with a status code indicating success.

--version
    Print version information on standard output then exit.